Potential security vulnerabilities with JavaTM SDKs

Flash (Alert)


Abstract

Security Bulletin: Asset and Service Mgmt Products - Potential security exposure when using JavaTM based applications due to vulnerabilities in Java Software Developer Kits. See Vulnerability Details for CVE IDs.

Content

VULNERABILITY DETAILS:
CVE ID: CVE-2011-3546,CVE-2011-3547,CVE-2011-3548,CVE-2011-3549,CVE-2011-3516,CVE-2011-3550,CVE-2011-3551,CVE-2011-3552,CVE-2011-3553,CVE-2011-3554,CVE-2011-3555,CVE-2011-3556,CVE-2011-3357,CVE-2011-3558,CVE-2011-3560,CVE-2011-3561,CVE-2011-3389

DESCRIPTION:
Customers who have Java based applications, such as Maximo Asset Management, Maximo Industry Solutions, Tivoli Asset Management for IT, Tivoli Service Request Manager, Change and Configuration Management Database, or Intelligent Building Management are potentially impacted by these vulnerabilities, which can cause performance or Denial of Service (DoS) issues. For additional information, please refer to Oracle’s October 18 2011 Critical Patch Update.

CVSS:
Refer to the developerWorks JavaTM Technology Security Alerts for the CVSS Base Score of each specific vulnerability.

VERSIONS AFFECTED:
The following Java versions are affected:

· IBM SDK Java Technology Edition Version 7

· IBM SDK Java Technology Edition Version 6

· IBM SDK Java Technology Edition Version 5

· IBM SDK Java Technology Edition Version 1.4.2


IBM supplied the Java Runtime Environment (JRE) from the IBM SDK Java Technology Edition Versions with the following:

Maximo Asset Management, Maximo Industry Solutions, Tivoli Asset Management for IT, Maximo Service Desk 6.x bundled Java Runtime Environment (JRE) Version 1.4.2

Maximo Asset Management, Maximo Industry Solutions, Tivoli Asset Management for IT, Tivoli Service Request Manager, and Tivoli Change and Configuration Management Database 7.1 and 7.2 bundled Java Runtime Environment (JRE) Version 5

Maximo Asset Management and Maximo Industry Solutions 7.5 bundled Java Runtime Environment (JRE) Version 6

Intelligent Building Management 1.1. bundled Java Runtime Environment (JRE) Version 6

Unsupported products, releases and versions are not tested for the presence of vulnerabilities. However, it is likely that earlier versions of affected releases are also affected by these vulnerabilities. IBM recommends that customers upgrade their products to a supported version.

Remediation is not provided for product versions that are no longer supported. IBM recommends that customers upgrade to the latest supported version of products in order to obtain remediation for the vulnerabilities.

REMEDIATION:
Once you have determined the specific version of Java that you have installed, go to the developerWorks JavaTM Technology Security Alerts to access the download pages for the appropriate Service Release. On this page, the various Service Releases are separated by the specific Java version.

Note: Websphere Application Server also bundles the Java Runtime Environment (JRE) from the IBM Java Technology Edition Versions, so the required Service Release may have to be applied to multiple file paths.

Due to the threat posed by a successful attack, IBM strongly recommends that customers apply fixes as soon as possible.

WORKAROUND:
Until you apply the fixes, it may be possible to reduce the risk of successful attack by restricting network protocols required by an attack. For attacks that require certain privileges or access to certain packages, removing the privileges or the ability to access the packages from unprivileged users may help reduce the risk of successful attack. Both approaches may break application functionality, so IBM strongly recommends that customers test changes on non-production systems. Neither approach should be considered a long-term solution as neither corrects the underlying problem.

REFERENCES:
Complete CVSS Guide
On-line Calculator V2
X-Force Vulnerability Database
CVE-2011-3547
CVE-2011-3546
CVE-2011-3548
CVE-2011-3549
CVE-2011-3516
CVE-2011-3550
CVE-2011-3551
CVE-2011-3552
CVE-2011-3553
CVE-2011-3544
CVE-2011-3545
CVE-2011-3521
CVE-2011-3554
CVE-2011-3555
CVE-2011-3558
CVE-2011-3556
CVE-2011-3557
CVE-2011-3389
CVE-2011-3560
CVE-2011-3561

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Flash.

Note:
According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

Change History
14 Feb 2012 Flash published.

CROSS REFERENCE INFORMATION:

Segment Product Component/Platform Version
Systems and Asset Management Maximo Asset Management All 6.2.0 – 6.2.8
7.1.1.0 – 7.1.1.10
7.5.0.0 – 7.5.0.2
Systems and Asset Management Maximo Asset Management Essentials All 7.1.1.0 – 7.1.1.10
7.5.0.0 – 7.5.0.2
Systems and Asset Management Maximo Asset Management for Energy Optimization All 7.1.0.0 – 7.1.1.0
Systems and Asset Management Maximo for Government All 6.1.0.0
7.1.0.0
7.5.0.0
Systems and Asset Management Maximo for Nuclear Power All 6.3.0
7.1.0.0 – 7.1.1.0
Systems and Asset Management Maximo for Transportation All 6.3.0
7.1.0.0 – 7.1.1.0
7.5.0.0
Systems and Asset Management Maximo for Life Sciences All 6.4.0 – 6.5.0
7.1.0.0 – 7.1.2.0
7.5.00
Systems and Asset Management Maximo for Oil and Gas All 6.3.0 – 6.4.0
7.1.0.0 – 7.1.2.0
7.5.0.0
Systems and Asset Management Maximo for Utilities All 6.3.0
7.1.0.0 – 7.1.2.0
7.5.0.0
Systems and Asset Management Tivoli Service Request Manager

Maximo Service Desk
All 7.1.0.0 – 7.1.1.10
7.2.0.0 – 7.2.1.3
6.2.0 – 6.2.8
Systems and Asset Management Tivoli Asset Management for IT All 6.2.0 – 6.2.8
7.1.0.0 – 7.1.1.10
7.2.0.0 – 7.2.2.1
Systems and Asset Management Change and Configuration Management Database All 7.1.0.0 – 7.1.1.10
7.2.0.0 – 7.2.1.2
Systems and Asset Management Intelligent Building Management All 1.1


Cross reference information
Segment Product Component Platform Version Edition
Systems and Asset Management IBM Maximo Asset Management Essentials
Systems and Asset Management IBM Maximo Asset Management for Energy Optimization
Systems and Asset Management IBM Maximo for Government
Systems and Asset Management IBM Maximo for Nuclear Power
Systems and Asset Management IBM Maximo for Transportation
Systems and Asset Management IBM Maximo for Life Sciences
Systems and Asset Management IBM Maximo for Oil and Gas
Systems and Asset Management IBM Maximo for Utilities
Systems and Asset Management Tivoli Service Request Manager
Systems and Asset Management Tivoli Asset Management for IT
Systems and Asset Management Tivoli Change and Configuration Management Database
Systems and Asset Management IBM TRIRIGA Energy Optimization

Rate this page:

(0 users)Average rating

Document information


More support for:

IBM Maximo Asset Management

Software version:

6.2.1, 6.2.2, 6.2.3, 6.2.4, 6.2.5, 6.2.6, 6.2.7, 6.2.8, 7.1, 7.1.1, 7.5

Operating system(s):

Platform Independent

Reference #:

1584655

Modified date:

2012-02-14

Translate my page

Machine Translation

Content navigation